SIMATIC Automation Tool V3.1 SP4 Installation notes

In section Instructions Examples Basics History Extra
Start Previous Next

SIMATIC Automation Tool V3.1 SP4 Installation notes

This section contains information on the following topics:
  • License terms and conditions
  • Installation notes


License terms and conditions

License terms and conditions

By installing the SIMATIC Automation Tool, you are agreeing to the End User License Agreement (EULA). You also accept the security information on safe operation of the product. By installing, you are also agreeing to the Open Source and Third Party License conditions. You can view these terms and conditions by running the full installation setup. Do not use the automated installation feature until you have reviewed and agree to all terms and conditions of these artifacts as described in the setup dialogs of the non-automated installation.


Installation notes

Installation notes

This section contains information on the following topics:
  • Operating system and software support
  • Operating environment
  • About installation
  • Installing from the TIA Software Updater
  • Downloading from Siemens Industry Online Support
  • Purchasing, licensing, and downloading the SIMATIC Automation Tool
  • Installing from the self-extracting .exe file
  • Installing from the .iso file
  • Optional automated install


Operating system and software support

Microsoft Windows 64-bit operating systems support Virtual machine software support Virus and security software support Language support Communication Siemens hardware support
Start Previous Next

Operating system and software support

Microsoft Windows 64-bit operating systems support

The SIMATIC Automation Tool works with the following 64-bit operating systems:

  • Windows 7 Home Premium SP1

  • Windows 7 Professional SP1

  • Windows 7 Enterprise SP1

  • Windows 7 Ultimate SP1

  • Windows 10 Home Version 1809 (OS Build 17763)

  • Windows 10 Home Version 1903 (OS Build 18362)

  • Windows 10 Pro Version 1809 (OS Build 17763)

  • Windows 10 Pro Version 1903 (OS Build 18362)

  • Windows 10 Enterprise Version 1809 (OS Build 17763)

  • Windows 10 Enterprise Version 1903 (OS Build 18362)

  • Windows 10 IoT Enterprise 2015 LTSB (OS Build 10240)

  • Windows 10 Enterprise 2016 LTSB (OS Build 14393)

  • Windows 10 IoT Enterprise 2019 LTSB (OS Build 17763)

Siemens provides no guarantee that other versions work. Siemens does not provide technical support for other versions.

Virtual machine software support

The SIMATIC Automation Tool works with the following VM (Virtual Machine) software:

  • VMware vSphere Hypervisor (ESXi) 6.5 or higher

  • VMware Workstation 12.5.5

  • VMware Workstation 15.0.2 or higher

  • VMware Player 12.5.5

  • VMware Player 15.0.2 or higher

  • Microsoft Hyper-V Server 2016

Siemens provides no guarantee that other versions work. Siemens does not provide technical support for other versions.

Virus and security software support

Siemens has verified that the SIMATIC Automation Tool works with the following virus and security software:

  • McAfee Endpoint Security (ENS) 10.5

  • Trend Micro Office Scan 12.0

  • Kaspersky Endpoint Security 11.1

  • Windows Defender (as part of Windows operating systems)

  • Qihoo 360 "Safe Guard 11.5" + "Virus Scanner"

  • Microsoft Bitlocker (part of the Windows operating systems)

  • McAfee Application Control 8.0

The SIMATIC Automation Tool might work with others.

Language support

The SIMATIC Automation Tool user interface and User Guide provide the following languages:

  • English

  • German

  • French

  • Spanish

  • Italian

  • Chinese Simplified

Communication

The SIMATIC Automation Tool communicates with Siemens devices using an Ethernet cable connected to a Network Interface.

Siemens hardware support

The SIMATIC Automation Tool provides a device catalog that lists all of the devices and firmware versions that it supports. The device catalog is an Excel spreadsheet that you can access from the SIMATIC Automation Tool Help menu.


Operating environment

Operating environment

Apply the following Windows operating system settings:

  • Disable hibernation mode when using the SIMATIC Automation Tool. Entering hibernation mode while online connections are open or while accessing project data through a network can cause errors.

  • Set the power saving options for the operating system to never put the computer to sleep. This ensures that a timer does not automatically trigger hibernation. Do not manually trigger hibernation mode during a communication task.


About installation

Overview of installation options Installation rules

About installation

Overview of installation options

You can install the SIMATIC Automation Tool in one of the following ways:

  • If you have an existing V3.1 or later version of the SIMATIC Automation Tool, you can update your version to V3.1 SP4 from the TIA Software Updater.

  • If you want to download and install the SIMATIC Automation Tool with a free 21-day trial license, you can download it from Siemens Industry Online Support. You can then install the SIMATIC Automation Tool from the downloaded .exe file and activate the 21-day trial license. Note that the SIMATIC Automation Tool restricts features after 21 days if you do not purchase a license.

  • You can purchase, license, and download the SIMATIC Automation Tool from the Siemens Industry Mall. With a license, you can use the full set of features. You can install the SIMATIC Automation Tool from either your downloaded .exe file or .iso file.

  • You can use an automated install to install the SIMATIC Automation Tool after you successfully download the software from Siemens Industry Online Support or from the Siemens Online Software Delivery (OSD) Web site.

Further topics describe the steps to follow for each of the options.

Installation rules

You can install only one version of the SIMATIC Automation Tool on a programming device.

The setup program for the SIMATIC Automation Tool checks for a previous installation and guides you accordingly:

  • If no version of SIMATIC Automation Tool exists on your programming device, install the SIMATIC Automation Tool from the setup.

  • If your programming device has a V2.x or previous version of the SIMATIC Automation Tool, you must uninstall the older version through Windows. After you uninstall the previous version, start the setup again and install V3.1 SP4.

  • If a V3.0 or later installation exists on your programming device, select Modify/Upgrade to install V3.1 SP4 over the existing installation. If you already have a license for your V3.0 or later version, this license is valid for V3.1 SP4.


Installing from the TIA Software Updater

Installing from the TIA Software Updater

The SIMATIC Automation Tool includes the TIA Software Updater. You can download SIMATIC Automation Tool software updates from Siemens if your programming device is connected to the Internet.

The SIMATIC Automation Tool allows you to automatically search for available updates to installed SIMATIC software products. If updates are available, you have the option to install the updates on your programming device.

To use the TIA Software Updater to update your SIMATIC Automation Tool to the latest version, follow these steps:

  1. Select the "Help > About SIMATIC Automation Tool" menu command.

  2. From the About dialog, click "Check for updates".

    The TIA Software Updater opens and displays available software updates from the Software tab. Wait while the updater finds and displays available software versions.

  3. If an update exists for the SIMATIC Automation Tool, click the Download button for the entry to download the new version.

    You see a progress indicator while the software downloads. When the download completes, the "Install" button is active and the "Download" button changes to "Downloaded".

  4. Click the Install button to install the downloaded software. The setup guides you through the installation procedure.

At any time, you can click "Search for software updates" on the TIA Software Updater to search again.


Downloading from Siemens Industry Online Support

Installing and using the SIMATIC Automation Tool with a free 21-day trial license Activating the trial license Feature restrictions for an unlicensed SIMATIC Automation Tool Licensing the SIMATIC Automation Tool
Start Previous Next

Downloading from Siemens Industry Online Support

Installing and using the SIMATIC Automation Tool with a free 21-day trial license

You can download the SIMATIC Automation Tool from the Siemens Industry Online Support Web page and use it with a free 21-day trial license. The trial license of the SIMATIC Automation Tool supports all features until the 21-day time period expires.

To download the 21-day trial version, follow these steps:

  1. Download the SIMATIC_Automation_Tool_V3_1_SP4.exe file from the Siemens Industry Online Support Web page. You have two choices on the download operation:

    • Save SIMATIC_Automation_Tool_V3_1_SP4.exe to a location on your computer. If you do not specify a file location, Windows saves the file in your Downloads folder. You can later navigate to this location and double-click the .exe file to run the self-extracting installer.

    • Run the self-extracting installer.

  2. Follow the procedure in Installing from the self-extracting .exe file to install the product.

Activating the trial license

After you have successfully installed the free 21-day trial version, follow these steps to activate the trial license:

  1. Launch the SIMATIC Automation Tool from the Start menu or other means. The SIMATIC Automation Tool displays an Automation License Management dialog.

  2. From the Automation License Management dialog, select the SIMATIC Automation Tool trial license key.

  3. Click the Activate button.

After you activate the trial license, you can use all of the features of the SIMATIC Automation Tool for 21 days.

If you skip activating the license, you can run the SIMATIC Automation Tool in unlicensed mode.

Feature restrictions for an unlicensed SIMATIC Automation Tool

If you did not activate the trial license or if the free 21-day trial license has expired, the SIMATIC Automation Tool supports only the following features:

  • Menu operations from the following menus:

    • File menu

    • Edit menu, including editing operations within the Device table

    • Options menu

    • Tools menu

    • Help menu

  • Scanning a network

  • Inserting and deleting devices

  • Entering device comments in the Device table

  • Retrieving service data

  • Showing CPU diagnostics

  • Entering and changing CPU passwords

  • Setting CPUs to RUN or STOP mode

Licensing the SIMATIC Automation Tool

To access all features of the SIMATIC Automation Tool beyond the 21-day free trial period, you must purchase a license from the Siemens Industry Mall.

Note

License remains after uninstalling

If you have a license for the SIMATIC Automation Tool, the license remains on your programming device if you uninstall the SIMATIC Automation Tool.


Purchasing, licensing, and downloading the SIMATIC Automation Tool

Obtaining a licensed version of the SIMATIC Automation Tool Downloading the licensed version of the SIMATIC Automation Tool
Start Previous Next - Open all Collapse all

Purchasing, licensing, and downloading the SIMATIC Automation Tool

The SIMATIC Automation Tool requires a software license for full feature operation.

Obtaining a licensed version of the SIMATIC Automation Tool

Depending on your country of origin, you might order the SIMATIC Automation Tool through your distributor or you can order directly from the Siemens Industry Mall. Customers within the United States must order from a distributor. Follow the procedures that your distributor or salesperson recommends to order the SIMATIC Automation Tool. To order, you must confirm the delivery address in your country and accept the export conditions.

Downloading the licensed version of the SIMATIC Automation Tool

Open the Online Software Delivery Web page from the Automation License Manager if it is not already open. The Product Download tab displays your purchased and licensed software products.

Note

You have 28 days after purchase confirmation to download your purchased product. Make sure you download all or part of your product delivery before the 28 days expire.

From the Product Download tab, follow these steps to download the license certificate and the SIMATIC Automation Tool:

  1. Click the "Certificate" button for the SIMATIC Automation Tool to display or save your certificate of license:

  2. Use the Automation License manager to transfer your license for the SIMATIC Automation Tool to your hard drive. Under the license key column header, drag the "transfer" box to a folder on your hard drive. Drop the transfer license key to a location on your programming device. The navigation tree on the left side of the Automation License manager displays available locations.

  3. Click the "Download" button to download the licensed SIMATIC Automation Tool to your programming device.

  4. From the Download screen, you can choose to download the .iso file, the packed self-extracting .exe file, and documents. You can select all of the choices, or only the choices you need. The .iso file is most convenient if you want to burn an installation DVD; otherwise, download the .exe file. You can use the .exe file to install the SIMATIC Automation Tool. You can use either type of file (.iso or .exe) with an automated install. When prompted, provide a folder for your downloaded items.
Note

If you have any problems with the purchasing, licensing, or download process, you can enter a support request from the Online Software Delivery Web page.

The SIMATIC Automation Tool is non-returnable and non-refundable after you download it.


Installing from the self-extracting .exe file

Start Previous Next - Open all Collapse all

Installing from the self-extracting .exe file

To install the SIMATIC Automation Tool from the self-extracting .exe file, follow these steps:

  1. If not already running, double-click the SIMATIC_Automation_Tool_V3_1_SP4.exe file that you downloaded.

  2. Follow the displayed instructions to extract the files and install the SIMATIC Automation Tool. You have the following choices when you begin the setup:

    • Extract the setup files without being installed: You can later navigate to the folder where you extract the installation files and click the Start.exe file to begin the installation. Alternatively, you can perform an automated installation of the files at this location.

    • Delete extracted files on exit: The setup extracts the files and guides you through the installation. When you complete the installation, the setup deletes the extracted files. Do not select this option if you want to keep the files for future installs.

The SIMATIC Automation Tool setup guides you step by step through the installation process.


Installing from the .iso file

Installing from the .iso file

The ISO file is a disc image of the SIMATIC Automation Tool installation. You can use it, for example, if you want to burn a DVD. To install the SIMATIC Automation Tool from the ISO file, follow these steps:

  1. Use a readily available extraction or disc burning tool to perform one of the following tasks:

    • Extract the folder structure of the .iso file to your programming device.
      Note: You can extract files from an .iso file the same way you extract files from a .zip file. If you choose, you can use the extracted files for an automated install.

    • Burn a DVD that contains the SIMATIC Automation Tool installation files.

  2. Double-click the Start.exe file to begin the installation setup. The Start.exe file is in the location where you extracted the files or is at the root level of the DVD. Follow the setup instructions to complete the installation.

    The setup guides you step by step through the installation process.


Optional automated install

Optional automated install

You can install the SIMATIC Automation Tool from the command line. The automated install requires no user interaction. The silent option of the automated install does not display installation dialogs.

If you install the SIMATIC Automation Tool by automated installation, you are agreeing to all license terms. Review the license terms from the non-automated setup before performing an automated installation of the SIMATIC Automation Tool.

If you did not delete the extracted installation files, you can find a description of the automated installation process in the folder where you extracted the files. The automated install documentation is at the following location:

Documents\<language folder>\PEAutoInstall<language extension>.chm

You can also find the same instructions within your installation folder:

SIMATIC Automation Tool\bin\<language folder>\PEAutoInstall<language extension>.chm

Note that the automated SIMATIC Automation Tool installation provides the following user interface languages regardless of your automated install language options:

  • English

  • French

  • German

  • Italian

  • Spanish

  • Chinese Simplified